Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.stat.clustering
Class Cluster<T extends Clusterable<T>>

    java.lang.Object
      org.apache.commons.math.stat.clustering.Cluster<T>

Type Parameters:
  `T` - the type of points that can be clustered

All Implemented Interfaces:
  Serializable

    public class Cluster<T extends Clusterable<T>>

extends Object
implements Serializable

Cluster holding a set of `Clusterable` points.

Since:
  2.0
Version:
  $Revision: 771076 $ $Date: 2009-05-03 18:28:48 +0200 (dim. 03 mai 2009) $
See Also:
  Serialized Form

Constructor Summary
`Cluster(T center)` Build a cluster centered at a specified point.

Method Summary
`void` | `addPoint(T point)` Add a point to this cluster.
`T` | `getCenter()` Get the point chosen to be the center of this cluster.
`List<T>` | `getPoints()` Get the points contained in the cluster.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cluster

    public Cluster(T center)

  Build a cluster centered at a specified point.

  Parameters:
    `center` - the point which is to be the center of this cluster

Method Detail

### addPoint

    public void addPoint(T point)

  Add a point to this cluster.

  Parameters:
    `point` - point to add

### getPoints

    public List<T> getPoints()

  Get the points contained in the cluster.

  Returns:
    points contained in the cluster

### getCenter

    public T getCenter()

  Get the point chosen to be the center of this cluster.

  Returns:
    chosen cluster center

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.